<?php
namespace Zeedhi\ZhuLog\Logger;

interface LoggerInfoProvider {

    /**
     * Returns the User ID.
     *
     * @return mixed
     */
    public function getUserId();

    /**
     * Returns the Organization ID.
     *
     * @return mixed
     */
    public function getOrganizationId();

    /**
     * Returns the Product ID.
     *
     * @return mixed
     */
    public function getProductId();

    /**
     * Returns the Container name.
     *
     * @return string
     */
    public function getContainerName();

    /**
     * Returns the Widget name.
     *
     * @return string
     */
    public function getWidgetName();
}